Subject: bug#78582: 30.1; which-key-mode overwrites custom key bindings

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Jun 2025 17:19:10 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Wed, 04 Jun 2025 12:39:17 +0200
> 
> Gerd Möllmann <[email-masked]> writes:
> 
> > Eli Zaretskii <[email-masked]> writes:
> >
> >>> From: Gerd Möllmann <[email-masked]>
> >>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
> >>>   [email-masked],  [email-masked]
> >>> Date: Mon, 02 Jun 2025 21:23:00 +0200
> >>> 
> >>> Stefan Monnier <[email-masked]> writes:
> >>> 
> >>> >> which is pretty far from the #@759. So the question is how gets the
> >>> >> wrong offset into the function-documentation, or maybe how gets
> >>> >> loaddefs.elc modified. Weird.
> >>> >
> >>> > Looks like something happened in the build which caused the
> >>> > `loaddefs.el` to be updated "too late", i.e. after the last dump.
> >>> > I think I've seen this happen but I have no idea what circumstances can
> >>> > trigger it.
> >>> >
> >>> Yeah, I guess that's the most likely possibility.
> >>
> >> If that's the case, then saying "make" in the build tree should
> >> re-dump Emacs.  Does it?
> >>
> >> (It also means we probably have a subtle bug in our Makefile rules,
> >> because this situation should not happen.)
> >
> > No longer reproducible, alas. I built that Emacs.app, copied it to the
> > desktop, and proceeded with the repo independently of it, which included
> > new builds.
> 
> I tried if I could see something in the Makefiles, but to no avail.

I guess we need to wait for this to surface again.